<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for On_Hold_DataType StructType
 * Meta information extracted from the WSDL
 * - documentation: On Hold Boolean Data
 * @subpackage Structs
 */
class On_Hold_DataType extends AbstractStructBase
{
    /**
     * The On_Hold
     * Meta information extracted from the WSDL
     * - documentation: On Hold Data Input
     * - minOccurs: 0
     * @var bool
     */
    public $On_Hold;
    /**
     * Constructor method for On_Hold_DataType
     * @uses On_Hold_DataType::setOn_Hold()
     * @param bool $on_Hold
     */
    public function __construct($on_Hold = null)
    {
        $this
            ->setOn_Hold($on_Hold);
    }
    /**
     * Get On_Hold value
     * @return bool|null
     */
    public function getOn_Hold()
    {
        return $this->On_Hold;
    }
    /**
     * Set On_Hold value
     * @param bool $on_Hold
     * @return \StructType\On_Hold_DataType
     */
    public function setOn_Hold($on_Hold = null)
    {
        // validation for constraint: boolean
        if (!is_null($on_Hold) && !is_bool($on_Hold)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($on_Hold, true), gettype($on_Hold)), __LINE__);
        }
        $this->On_Hold = $on_Hold;
        return $this;
    }
}
